%define origname filelight
%define beta -rc2

Name: filelight-kde4
Version: 1.9
Release: alt0.2

Summary: Graphical disk usage display for KDE4
License: GPLv2/3
Group: Graphical desktop/KDE

Url: http://www.methylblue.com/filelight
# http://www.kde-apps.org/content/show.php/filelight?content=99561
Source: %origname-%version%beta.tgz
Packager: Michael Shigorin <mike@altlinux.org>

Summary(de): Eine grafische Anzeige der Festplattenbelegung fur KDE4
Summary(ru_RU.KOI8-R):        KDE4
Summary(uk_UA.KOI8-U): Ʀ צ̦æ  ͦ    KDE4

# Automatically added by buildreq on Wed Jul 29 2009
BuildRequires: gcc-c++ kde4libs-devel libXScrnSaver-devel libXau-devel libXcomposite-devel libXcursor-devel libXdamage-devel libXdmcp-devel libXext-devel libXft-devel libXi-devel libXinerama-devel libXpm-devel libXrandr-devel libXt-devel libXtst-devel libXv-devel libXxf86misc-devel libqimageblitz-devel libxkbfile-devel xorg-xf86vidmodeproto-devel

Conflicts: %origname < 1.9

%description
Filelight creates a complex, but data-rich graphical representation
of the files and directories on your computer.

This version is for KDE4; for GNOME, see also gdmap package.

%description -l de
Filelight zeigt eine aufwndige grafische Darstellung der Dateien
und Verzeichnisse.

Das ist fur KDE4.

%description -l ru_RU.KOI8-R
Filelight    , 
     .

   KDE4;  GNOME . .  gdmap.

%description -l uk_UA.KOI8-U
Filelight  Ʀ  ͦ,   
    .

 Ӧ  KDE4;  GNOME .   gdmap.

%add_optflags %optflags_shared

%prep
%setup -n %origname-%version%beta

%build
mkdir build
pushd build
cmake .. -DCMAKE_INSTALL_PREFIX=%prefix
%make_build

%install
%makeinstall_std -C build
%find_lang %origname

%files -f %origname.lang
%doc AUTHORS ChangeLog INSTALL NEWS README TODO
%_bindir/*
%_libdir/kde4/*.so
%_desktopdir/kde4/*.desktop
%_iconsdir/*/*/*/*.png
%_datadir/apps/*
%_datadir/config/*
%_datadir/kde4/services/*.desktop

%changelog
* Wed Jul 29 2009 Michael Shigorin <mike@altlinux.org> 1.9-alt0.2
- built for ALT Linux

